Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Search notes

/api/v1/xiaohongshu/app_v2/search_notessync$0.015 / call

Search Xiaohongshu notes by keyword, supports multiple sort types, note type filters, and time filters (TikHub · Xiaohongshu App V2)

Input
FieldTypeRequiredDescription
keywordstringyesSearch keyword
pageintegerPage number, start from 1 (default 1)
sort_typestringSort type (default "general")
note_typestring/Note type: , , , (default "不限")
time_filterstring/Time filter: , , , (default "不限")
search_idstringSearch ID for pagination (default "")
search_session_idstringSearch session ID for pagination (default "")
sourcestringSource (default "explore_feed")
ai_modeintegerAI mode: 0=off, 1=on (default 0)

Run it

curl -s https://www.sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/search_notes","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.